LLR=+DATA/wlsllr

sqlplus "/as sysdba" << !
CREATE BIGFILE TABLESPACE wlsllr_ts
       DATAFILE '${LLR}' SIZE 8196M REUSE
       EXTENT MANAGEMENT LOCAL UNIFORM SIZE 1M;
!

for y in 1 2 3 4; do

sqlplus "spec/spec" << EOT
spool WL_LLR_MT_${y}
alter table WL_LLR_MT_${y} enable table lock;
drop table WL_LLR_MT_${y} ;
CREATE TABLE WL_LLR_MT_${y}
    (
    XIDSTR  VARCHAR2(40) not null,
    POOLNAMESTR VARCHAR2(64),
    RECORDSTR VARCHAR2(1000)
    )
    PARTITION BY HASH (XIDSTR)
    PARTITIONS 32
    STORE IN (wlsllr_ts)
    initrans 30 pctfree 30
    STORAGE (INITIAL 1M NEXT 1M PCTINCREASE 0 BUFFER_POOL KEEP);

    CREATE UNIQUE INDEX WL_LLR_MT_${y}_idx ON WL_LLR_MT_${y} (xidstr) LOCAL
    STORE IN (wlsllr_ts)
    INITRANS 30
    STORAGE (INITIAL 1M NEXT 1M PCTINCREASE 0 BUFFER_POOL KEEP);

    alter table WL_LLR_MT_${y} disable table lock;
spool off
EOT

done
